{* Smarty *}

{literal}
<script type="text/javascript">
//  $(function(){
//    $("#DialogFlexMessage").dialog({
//      autoOpen: false,
//      width: 200,
//      buttons: {
//        "Закрыть": function() {
//          $(this).dialog("close");
//        }
//      }
//    });
//  });
//
//  $(function(){
//    $("#DialogFlexErrNon").dialog({
//      autoOpen: false,
//      width: 200,
//      buttons: {
//        "Закрыть": function() {
//          $(this).dialog("close");
//        }
//      }
//    });
//  });

//  $(function(){
//    $("#SvtAdd").dialog({
//      autoOpen: false,
//      width: 720,
//      modal: true,
//      buttons: {
//        "Закрыть": function() {
//          $(this).dialog("close");
//        }
//      }
//    });
//  });

  function SvtAdd(){
    $.ajax({
      async: false,
      timeout: 3000,
      type: 'POST',
      url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtAdd.ajax.php{literal}",
      success: function(answ){
        $("#SvtAdd").html(answ);
      }
    });
    $("#SvtAdd").dialog({
      title: "Добавить СВТ.",
      autoOpen: true,
      width: 740,
      resizable: true,
      modal: true,
      buttons: {
        "Закрыть": function() {
          $(this).dialog("close");
        }
      }
    });
  }

  function SvtEdit(com,grid){
    var VarCountSelectedRows = $('.trSelected',grid).length;
    if(0 == VarCountSelectedRows){
      DialogStandartMessageOpen('error', 'Вам необходимо выделить запись!');
    }
    else if(1 == VarCountSelectedRows){
      var VarStr = '';
      VarStr = $('.trSelected',grid).attr('id');
      $.ajax({
        async: false,
        timeout: 3000,
        type: 'POST',
        url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtEdit.ajax.php{literal}",
        data: {
          UrlStr: VarStr
        },
        success: function(answ){
          $("#SvtAdd").html(answ);
        }
      });
      $("#SvtAdd").dialog({
        title: "Редактировать СВТ.",
        autoOpen: true,
        width: 740,
        resizable: true,
        modal: true,
        buttons: {
          "Закрыть": function() {
            $(this).dialog("close");
          }
        }
      });
    }
    else{
      DialogStandartMessageOpen('error', 'Неизвестная ошибка!');
    }
  }

  function SvtDel(com,grid){
    var VarCountSelectedRows = $('.trSelected',grid).length;
    if(0 == VarCountSelectedRows){
      DialogStandartMessageOpen('error', 'Вам необходимо выделить запись!');
    }
    else if(0 < VarCountSelectedRows){
      var VarStr = '';
      $('.trSelected',grid).each(function() { VarStr = ($(this).attr('id')) + '|' + VarStr });
      $(function() {
        $("#DialogConfirmMessageText").html('Вы уверены что хотите удалить запись?');
        $("#DialogConfirmMessage").dialog({
          title: "Удаление!",
          resizable: false,
          height:180,
          modal: true,
          buttons: {
            'Да': function() {
              $.ajax({
                async: false,
                timeout: 3000,
                type: "POST",
                url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtDel.ajax.php{literal}",
                data: {
                    UrlStr: VarStr
                },
                success: function(answ){
                  var AnswObj = eval('(' + answ + ')');
                  if("undefined" == typeof(AnswObj["error"])){
                    $("#flexSvt").flexReload();
                    DialogStandartMessageOpen('message', AnswObj["message"]);
                  }
                  else{
                    DialogStandartMessageOpen('error', AnswObj["error"]);
                  }
                }
              });
              $(this).dialog("close");
            },
            'Нет': function() {
              $(this).dialog("close");
            }
          }
        });
      });
    }
    else{
      DialogStandartMessageOpen('error', 'Неизвестная ошибка!');
    }
  }

  function SvtInformation(com,grid){
    var VarCountSelectedRows = $('.trSelected',grid).length;
    if(0 == VarCountSelectedRows){
      DialogStandartMessageOpen('error', 'Вам необходимо выделить запись!');
    }
    else if(1 == VarCountSelectedRows){
      var VarId = $('.trSelected',grid).attr('id').replace("row","")
      childWindow=open('{/literal}{$MS_SP->Sp_PathTop}{literal}/SvtInformation.php?UrlId=' + VarId,'SvtInformation','width=1000,height=550,resizable=1,scrollbars=1');
      if (childWindow.opener == null) childWindow.opener = self;
    }
    else{
      DialogStandartMessageOpen('error', 'Неизвестная ошибка!');
    }
  }

  function SvtSelect(com,grid){
    var VarCountSelectedRows = $('.trSelected',grid).length;
    if(0 == VarCountSelectedRows){
      DialogStandartMessageOpen('error', 'Вам необходимо выделить запись!');
    }
    else if(1 == VarCountSelectedRows){
      var VarStr = '';
      VarStr = $('.trSelected',grid).attr('id');
      //alert(VarStr);
      $.ajax({
        async: false,
        timeout: 3000,
        type: 'POST',
        url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtSelect.ajax.php{literal}",
        data: {
          UrlStr: VarStr
        },
        success: function(answ){
          SvtSelectInsert(answ);
          $("#SvtChoice").dialog("close");
        }
      });
    }
    else{
      DialogStandartMessageOpen('error', 'Неизвестная ошибка!');
    }
  }
</script>
{/literal}

<table id="ReportSvtByStatusIdList" style="display:none"></table>

{literal}
<script type="text/javascript">
  $("#ReportSvtByStatusIdList").flexigrid({
    url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/ReportSvtByStatusIdList.ajax.php{literal}",
    dataType: "json",
    colModel : [
      {display: "Наименование сет.", name : "svt_name", width : 100, sortable : true, align: "left"},
      {display: "Наименование бух.", name : "svt_buxname", width : 100, sortable : true, align: "left"},
      {display: "Тип СВТ", name : "svttype_name", width : 80, sortable : true, align: "left"},
      {display: "Инв. номер", name : "svt_invnum", width : 60, sortable : true, align: "left"},
      {display: "Сер. номер", name : "svt_serialnum", width : 90, sortable : true, align: "left"},
      {display: "Подразделение", name : "structureorganization_title", width : 80, sortable : true, align: "left"},
      {display: "Пользователь", name : "users_fio", width : 80, sortable : true, align: "left"},
      {display: "Поставщик", name : "organiz_name", width : 80, sortable : true, align: "left"},
      {display: "Дата поставки", name : "svt_date", width : 70, sortable : true, align: "left"},
      {display: "Гарантия", name : "svt_garant_date", width : 70, sortable : true, align: "left"}
    ],
    buttons : [
      {name: 'Добавить', bclass: 'add', onpress : SvtAdd},
      {name: 'Редактировать', bclass: 'edit', onpress : SvtEdit},
{/literal}
      {if isset($smarty.session.SessionAuth.SvtAdmin.reg) && 1 eq $smarty.session.SessionAuth.SvtAdmin.reg}
{literal}
       {name: 'Удалить', bclass: 'delete', onpress : SvtDel},
{/literal}
      {/if}
{literal}
      {separator: true},
      {name: 'Подробно', bclass: 'information', onpress : SvtInformation}
    {/literal}
    {if 1 eq $VarSvtSelect}
    {literal}
      ,{separator: true},
       {name: 'Выбрать', bclass: 'select', onpress : SvtSelect}
    {/literal}
    {/if}
    {literal}
    ],
//    searchitems : [
//      {display: "Наименование сет.", name : "svt_name", isdefault: true},
//      {display: "Наименование бух.", name : "svt_buxname", isdefault: false},
//      {display: "Инв. номер", name : "svt_invnum", isdefault: false},
//      {display: "Сер. номер", name : "svt_serialnum", isdefault: false}
//    ],
    sortname: "svt_invnum",
    sortorder: "asc",
    query: "{/literal}{$smarty.get.UrlId}{literal}",
    qtype: "svtstatus_id",
    usepager: true,
    title: "Свт",
    pagetext: "Страница",
    outof: "из",
    findtext: "Искать",
    errormsg: "Нет соединения",
    pagestat: "Отображается с {from} по {to} из {total} записей",
    pagetext: "Страница",
    procmsg: "Идет запрос, подождите пожалуйста ...",
    nomsg: "Нет записей",
    singleSelect: true,
    nowrap: false,
    useRp: true,
    rp: 100,
    rpOptions: [100,250,500,1000,10000],
    showTableToggleBtn: true,
    height: 400
  });

//  $(function(){
//    //jQuery("#ReportSvtByStatusIdList").flexOptions({newp:1, query: '{/literal}{$smarty.get.UrlId}{literal}', qtype: "ondnndan", url: '{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}{literal}/AjaxServer/SearchNd.ajax.php'}).flexReload();
//    //$('input[name=q]').val('{/literal}{$smarty.get.ond}{literal}');
//    $('div.sDiv').css('display','block');
//  });
</script>
{/literal}

<div id="SvtAdd" style="display:none;"></div>

<!--<div id="DialogConfirmDelete" title="Удаление." style="display:none;">
	<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Вы уверены что хотите удалить запись?</p>
</div>
<div id="DialogCongratDelete"></div>

<div id="DialogFlexErrUndef" title="Ошибка!" style="display:none;">
	<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Вам необходимо выделить запись.</p>
</div>

<div id="DialogFlexErrMore1" title="Ошибка!" style="display:none;">
	<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Вам необходимо выделить только одну запись.</p>
</div>

<div id="DialogFlexMessage" title="Сообщение!" style="display:none;">
	<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span><span id="DialogFlexMessageText">Сообщение!</span></p>
</div>

<div id="DialogFlexErrNon" title="Ошибка!" style="display:none;">
	<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span><span id="DialogFlexErrNonText">Неизвестная ошибка!</span></p>
</div>-->